Skip to main content

Delete a Node Pool

Permanently deletes a worker node pool from the cluster. All of the pool's worker nodes are terminated. Use the node pool's service_id (from List). On success the API returns code: 204 with an empty body.

DELETE/api/v1/kubernetes/delete-node-pool-service/{node_pool_id}

Path parameters

  • node_pool_idPathintegerrequired

    The node pool service_id to delete (from List).

    • required
    • must be a valid node pool service ID
    example12346

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the delete request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object
codeinteger
example204
dataobject
errorsobject
messagestring
exampleNode pool deleted successfully